# ATStringOrDerived Class Reference

`#include <ATStringOrDerived.hpp>`

Inheritance diagram for ATStringOrDerived:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const ATStringOrDerived > | Ptr

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual Result | asCodepoints (const DynamicContext *context) const =0
virtual unsigned int | getLength () const =0
virtual ATStringOrDerived::Ptr | substring (const Numeric::Ptr &startingLoc, const Numeric::Ptr &length, const DynamicContext *context) const =0
virtual ATStringOrDerived::Ptr | substringAfter (const ATStringOrDerived::Ptr &pattern, Collation *collation, const DynamicContext *context) const =0
virtual ATStringOrDerived::Ptr | substringBefore (const ATStringOrDerived::Ptr &pattern, Collation *collation, const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Typedef Documentation

typedef RefCountPointer<const ATStringOrDerived> ATStringOrDerived::Ptr

| Reimplemented from AnyAtomicType.

## Member Function Documentation

virtual Result ATStringOrDerived::asCodepoints | ( | const DynamicContext * | context | ) | const`[pure virtual]`

virtual const XMLCh* ATStringOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATStringOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual unsigned int ATStringOrDerived::getLength | ( |  | ) | const`[pure virtual]`

virtual AnyAtomicType::AtomicObjectType ATStringOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATStringOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATStringOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATStringOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual ATStringOrDerived::Ptr ATStringOrDerived::substring | ( | const Numeric::Ptr & | startingLoc,
|  | const Numeric::Ptr & | length,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

virtual ATStringOrDerived::Ptr ATStringOrDerived::substringAfter | ( | const ATStringOrDerived::Ptr & | pattern,
|  | Collation * | collation,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

virtual ATStringOrDerived::Ptr ATStringOrDerived::substringBefore | ( | const ATStringOrDerived::Ptr & | pattern,
|  | Collation * | collation,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- ATStringOrDerived.hpp